# The Official MyCover.ai Inspection SDK
<div align="center">
      <img title="http://MyCover.ai" height="200" src="https://www.mycover.ai/images/logos/mycover.svg" width="200px"/>
    </div>


MCA package for inspecting vehicles, supports both iOS and Android platforms.

## Features
Full Vehicle Inspection

## Getting started
1. Add package mca_official_inspection_sdk to your pubspec.yaml file
2. Run flutter pub get


## Usage

```dart
import 'package:mca_official_inspection_sdk/views/inspection.dart';


    var token = "<YOUR_TOKEN>";
    final inspection = MyCoverInspection(
        context: context,
        email: '',
        token: token,
        camera: widget.camera,
        providerId: '',
        distributorId: '',
        customerId: '',
        productId: '',
        policyId: '52e66198-0028-4958-80b5-1cb9c5a8ca73',
        typeOfInspection: InspectionType.preClaim);
    
    inspection.initialise();
```