import 'package:camera/camera.dart';
import 'package:flutter/material.dart';

import 'demo.dart';

enum TypeOfProduct { auto, health, gadget, travel }
enum InspectionType { claim, preClaim }

// List<CameraDescription>? cameras;

class MyCoverInspection {
   MyCoverInspection({
    Key? key,
    required this.context,
    required this.email,
    required this.token,
    required this.distributorId,
    required this.policyId,
    required this.productId,
    required this.customerId,
    required this.providerId,
    this.claimDetail,
    required this.typeOfInspection,
    required this.camera
  });


final CameraDescription camera;
  final BuildContext context;
  final String token,
      email,
      distributorId,
      customerId,
      policyId,
      providerId,
      productId;
  final claimDetail;
  final InspectionType typeOfInspection;

  initialise() async {
    return await Navigator.push(
        context,
        MaterialPageRoute(
            builder: (context) => DemoScreen(
                  token: token,
                  email: email,
                  distributorId: distributorId,
                  providerId: providerId,
                  customerId: customerId,
                  policyId: policyId,
                  productId: productId,
                  camera: camera,
                  claimDetail: claimDetail,
                  typeOfInspection: typeOfInspection,
                )));
  }
}
